Class | Chef::Provider::Package::Yum::YumCache
In: | lib/chef/provider/package/yum.rb
Parent: | Object

Cache for our installed and available packages, pulled in from yum-dump.py

### Methods

allow_multi_install available_version candidate_version installed_version new package_available? packages_from_require refresh reload reload_installed reload_provides reset reset_installed version_available?

### Included Modules

Chef::Mixin::Command Singleton

### Public Class methods

new()

### Public Instance methods

allow_multi_install()
available_version(package_name, arch=nil)
candidate_version(package_name, arch=nil)

Alias for available_version

installed_version(package_name, arch=nil)
package_available?(package_name)

Check for package by name or name+arch

packages_from_require(rpmdep)

Returns a array of packages satisfying an RPMDependency

refresh()

Cache management

reload()
reload_installed()
reload_provides()
reset()
reset_installed()
version_available?(package_name, desired_version, arch=nil)

[Validate]